Jemboss (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss
Class Jemboss

    java.lang.Object
      |
      +--org.emboss.jemboss.Jemboss

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

public class Jemboss
extends java.lang.Object
implements java.awt.event.ActionListener

Java interface to EMBOSS (http://www.emboss.org/) (i) standalone - with a locally installation of EMBOSS. (ii) client / server mode - download the client from a site, such as the HGMP, which runs the Jemboss server.

Nested Class Summary
`(package private) class` | `Jemboss.winExit` Extends WindowAdapter to close window

Field Summary
`private javax.swing.ImageIcon` | `bwdArrow`
`private javax.swing.JButton` | `extend`
`private javax.swing.JFrame` | `f`
`private javax.swing.ImageIcon` | `fwdArrow`
`private static java.awt.Dimension` | `jdim` Jemboss window dimension
`private static java.awt.Dimension` | `jdimExtend`
`private javax.swing.JPanel` | `p3`
`private javax.swing.JSplitPane` | `pmain`
`static PendingResults` | `resultsManager` to manage the pending results
`private javax.swing.JScrollPane` | `scrollTree`
`static DragTree` | `tree`
`(package private) static boolean` | `withSoap` true if in client-server mode (using SOAP)

Constructor Summary
`Jemboss()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)` Action event to open the file manager
`private void` | `deleteTmp(java.io.File cwd, java.lang.String suffix)` Delete temporary files
`static void` | `main(java.lang.String[] args)` Launches Jemboss in standalone or client-server mode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### f

    private javax.swing.JFrame f

### pmain

    private javax.swing.JSplitPane pmain

### p3

    private javax.swing.JPanel p3

### tree

    public static DragTree tree

### extend

    private javax.swing.JButton extend

### scrollTree

    private javax.swing.JScrollPane scrollTree

### withSoap

    static boolean withSoap

  true if in client-server mode (using SOAP)

### resultsManager

    public static PendingResults resultsManager

  to manage the pending results

### jdim

    private static java.awt.Dimension jdim

  Jemboss window dimension

### jdimExtend

    private static java.awt.Dimension jdimExtend

### fwdArrow

    private javax.swing.ImageIcon fwdArrow

### bwdArrow

    private javax.swing.ImageIcon bwdArrow

Constructor Detail

### Jemboss

    public Jemboss()

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Action event to open the file manager

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### deleteTmp

    private void deleteTmp(java.io.File cwd,
                           java.lang.String suffix)

  Delete temporary files

### main

    public static void main(java.lang.String[] args)

  Launches Jemboss in standalone or client-server mode.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD